<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

if (!defined('CPO')) exit;

$translator->addTranslation('translation', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['Editor'] = array(
// die Modulfunktionen
    'directory'	=> $moduleDirectory,
    'caption'	=> __('Editor choice'),
    'install'	=> 'function: Editor_install',
    'activate'	=> 'function: Editor_activate',
    'deactivate'=> 'function: Editor_deactivate',
    'uninstall'	=> 'function: Editor_uninstall',
    'manage'	=> 'function: Editor_manage',
    'installed' => time(),
    'owner'		=> $cpoSystem['owner'],
    'lkey'		=> '',
    'mod_id'	=> 16,
    'helptoc'	=> array(
        'bersicht' 
            => 'http://manual.conpresso4.de/editor/index.htm',
        '1. Was macht das Modul "Editor"?' 
            => 'http://manual.conpresso4.de/editor/features.htm',
        '2. Installation' 
            => 'http://manual.conpresso4.de/editor/setup.htm',
        '3. Einstellungen' 
            => 'http://manual.conpresso4.de/editor/settings.htm',
        '4. Die Editoren' 
            => 'http://manual.conpresso4.de/editor/editors.htm'
    ),
// Grundwerte
    'user_assign'=>array('1'=>''),
    'user_opt'=>array('1'=>''),
    'default_editor'	=> 'default'
);

if (!$activeModules['Editor']['installed'])  {
	$editordb = new DB;
	$editordb->query('SELECT options FROM '.CPO_OPTION.' '
			  ."WHERE type='editor' ORDER BY id ASC LIMIT 0,1");
	while ($editordb->next_record()) {
		$options = $editordb->v('options');
		$editorOpt = unserialize($options);
		if (!is_array($editorOpt)) break;
		foreach ($editorOpt as $key=>$v) {
			$activeModules['Editor'][$key] = $v;
		}
	}
}

if (
        array_key_exists('Editor',$activeModules) &&
        license($activeModules['Editor']['lkey'],$activeModules['Editor']['mod_id']) != 1 &&
        license($activeModules['Editor']['lkey'],$activeModules['Editor']['mod_id']) != 2 &&
        license($activeModules['Editor']['lkey'],$activeModules['Editor']['mod_id']) != 3 &&
        $activeModules['Editor']['installed']<(time()-90*24*60*60) && 
        !isset($_POST['go'])
    ) 
    {
    if (@file_exists(CPO_BASEDIR.$activeModules['Editor']['directory'].'/includes/producer.inc.php')) include(CPO_BASEDIR.$activeModules['Editor']['directory'].'/includes/producer.inc.php');
    $message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
        htmlspecialchars($MOD['product'])).'</strong> ';
    $mebreak = true;
}
if (license($activeModules['Editor']['installed'],$activeModules['Editor']['mod_id']) !== false) {
    $message['license'] = '<strong>Invalid License!</strong>';
    $mebreak = true;
}

// Editoren einbinden
$e = dir(CPO_BASEDIR.$moduleDirectory.'/editors'); 
while (false!==($edentry = $e->read())) {
    if ($edentry=='.' || $edentry=='..') continue;
    $editorDir = $edentry;
    $edentry = CPO_BASEDIR.$moduleDirectory.'/editors/'.$editorDir;
    if (!is_dir($edentry) || !is_readable($edentry)) continue;
    if (!file_exists($edentry.'/common_editor.inc.php') ||
        !is_readable($edentry.'/common_editor.inc.php')) continue;
    include_once($edentry.'/common_editor.inc.php');
}
$e->close();

if (!function_exists('Editor_manage'))  {
    function Editor_manage()
    {
        global $module_status, $k;
        printIcon(	
            BASE_ABS.$GLOBALS['modules']['Editor']['directory'].'/edit.php', 
            BASE_ABS.'_skin/conpresso/pic_settings.gif', 
            (array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE) ? __('options') : __('not available'),
            array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
        );
    }
}

if (!array_key_exists('Editor',$activeModules)) $mebreak = true;

// userspezifischer Editor
if ($activeModules['Editor']['user_assign'][$_SESSION['SID_user']['id']])  
{
    $activeModules['Editor']['user_editor'] = ($mebreak) ? 'default' : $activeModules['Editor']['user_assign'][$_SESSION['SID_user']['id']];
} else {
    $activeModules['Editor']['user_editor'] = ($mebreak) ? 'default' : $activeModules['Editor']['default_editor'];
}

if (array_key_exists('Editor',$activeModules)) {
    // die einzubindenden Dateien
    $mod_editor_dir  = CPO_BASEDIR . $moduleDirectory;
    $user_editor_dir = CPO_BASEDIR . $moduleDirectory  . '/editors/' . $activeModules['Editor']['user_editor'];
    $mod_editor_article_file[]		= $mod_editor_dir  . '/includes/articles.inc.php';
    $mod_editor_article_file[]		= $user_editor_dir . '/articles.inc.php';
    $mod_editor_header_file			= $user_editor_dir . '/header.inc.php';
    $mod_editor_form_field_file		= $user_editor_dir . '/form_fields.inc.php';
    $mod_editor_form_file			= $user_editor_dir . '/article_form.inc.php';
    $mod_editor_imageinserter_file	= $user_editor_dir . '/imageinserter.inc.php';
    $mod_codemirror_file            = $mod_editor_dir  . '/includes/codemirror.inc.php';
} else {
    $mod_editor_dir  = CPO_BASEDIR . $moduleDirectory;
    $user_editor_dir = CPO_BASEDIR . $moduleDirectory  . '/editors/default';
    $mod_editor_article_file[]		= $mod_editor_dir  . '/includes/articles.inc.php';
    $mod_editor_article_file[]		= $user_editor_dir . '/articles.inc.php';
    $mod_editor_header_file			= $user_editor_dir . '/header.inc.php';
    $mod_editor_form_field_file		= $user_editor_dir . '/form_fields.inc.php';
    $mod_editor_form_file			= $user_editor_dir . '/article_form.inc.php';
    $mod_editor_imageinserter_file	= $user_editor_dir . '/imageinserter.inc.php';
    $mod_codemirror_file            = $mod_editor_dir  . '/includes/codemirror.inc.php';
}

if (!function_exists('log_editor')) {
    function log_editor()
    {
        global $cpoSystem;
        @mail('kontakt@conpresso4.de','Das Modul Editor 4.1 wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
    }
}

function Editor_install()
{
    global $editorspecs;
    $GLOBALS['modules']['Editor']['editors'] = $editorspecs;
    $GLOBALS['message'][] = ___('The editor-module was successfully installed!');
    log_editor();
	$editordb = new DB;
	$editordb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('editor', '".serialize(array("installed"=>time()))."', '') ");
}
function Editor_activate()
{
    $GLOBALS['message'][] = ___('The editor-module got activated.');
}

function Editor_deactivate()
{
    $GLOBALS['message'][] = ___('The editor-module got deactivated.');
}

function Editor_uninstall($directory_uninstall)
{
    $GLOBALS['message'][] = ___('Please remove the module directory to finally uninstall the editor-module.');
}


?>