<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Editor"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / August 2013

*/

if (!defined('CPO')) exit;

if (isset($_GET['addeditor']))  {
    $activeModules['Editor']['editors'][$_GET['addeditor']] = $editorspecs[$_GET['addeditor']];
    $_POST['cpoEditorNew'] = $activeModules['Editor'];
    $_POST['go'] = 'AddEditor';
    $message[] = sprintf(__('The editor <em>%s</em> was added to the editor module.'),$editorspecs[$_GET['addeditor']]['caption']);
    logaction('add editor [mod_editor]', $_GET['addeditor']);
}
if (isset($_GET['removeeditor']))  {
    unset($activeModules['Editor']['editors'][$_GET['removeeditor']]);
    $_POST['cpoEditorNew'] = $activeModules['Editor'];
    $_POST['go'] = 'AddEditor';
    $message[] = sprintf(__('The editor <em>%s</em> was removed to the editor module.'),$editorspecs[$_GET['removeeditor']]['caption']);
    logaction('remove editor [mod_editor]', $_GET['removeeditor']);
}
?>

<script language="Javascript" type="text/javascript">
    function editor_activate(editor,editorname) 
        { 
        if (confirm('<?php echo __('Do you really want to add the editor'); ?> '+editorname+' <?php echo __('to the editor module?'); ?>')) 
            { 
            location.href="edit.php?addeditor=" + editor; 
            } 
        }

    function editor_deactivate(editor,editorname)
        { 
        if (confirm('<?php echo __('Do you really want to remove the editor'); ?> '+editorname+' <?php echo __('from the editor module?'); ?>')) 
            { 
            location.href="edit.php?removeeditor=" + editor; 
            } 
        }

</script>
<?php

	printPageHeader(
		__('Choose HTML-editor'),
		__('In this view you can choose an editor and work on its setting.'),
		'http://manual.conpresso4.de/editor/settings.htm',
		true,
		'modules'
	);

include(CPO_BASEDIR.$directory.'/includes/actions.inc.php');
require(CPO_BASEDIR."_include/message.php");

// ******** GENERAL SETTINGS ***************
		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="go" value="1">';
		echo '<input type="hidden" name="list" value="options">';
 
		include(CPO_BASEDIR.$directory.'/includes/license.inc.php');

if (!$mebreak) {

		ksort($activeModules['Editor']['editors']);

		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Editor selection');
		echo '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Default editor:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<select name="cpoEditorNew[default_editor]">';
			foreach ($activeModules['Editor']['editors'] as $k=>$v)  {
				$selected = ($k == $activeModules['Editor']['default_editor']) ? ' selected="selected"': '';
				echo '<option value="'.$k.'"'.$selected.'>'.$activeModules['Editor']['editors'][$k]['caption'].'</option>';
			}
            echo '</select>';
			print('<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.__('Note').'" title="'.__('Note').'"> ');
			echo __('This is the editor that will be used for all users that have no specially assigned editor!');
            echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';

	printPageHeader(
		__('Editor settings'),
		__('In this view you work on some editor settings.'),
		'http://manual.conpresso4.de/editor/settings.htm',
		true,
		'modules'
	);

        foreach ($activeModules['Editor']['editors'] as $k=>$v)  {
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.$activeModules['Editor']['editors'][$k]['caption'];
		echo '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Caption:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="cpoEditorNew[editors]['.$k.'][caption]" value="'.$activeModules['Editor']['editors'][$k]['caption'].'" size="80" maxlength="255">';
            echo '<input type="hidden" name="cpoEditorNew[editors]['.$k.'][directory]" value="'.$activeModules['Editor']['editors'][$k]['directory'].'">';
            echo '</td>';
		echo '</tr>';
		if (file_exists(CPO_BASEDIR.$directory.'/editors/'.$k.'/options.inc.php')) 
		{
			$editor_options = '';
			include (CPO_BASEDIR.$directory.'/editors/'.$k.'/options.inc.php');
			echo $editor_options;
		}
		else
		{
			echo "<!-- <tr><td>no options file (".CPO_BASEDIR.$directory.'/editors/'.$k.'/options.inc.php'.")</td></tr> -->";
		}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            if ($k!='default') echo ' <a href="javascript:editor_deactivate(\''.$k.'\',\''.$editorspecs[$k]['caption'].'\');"><img src="'.BASE_ABS.'_skin/conpresso/pic_mod_active_off.gif" alt="'.__('deactivate').'" title="'.__('deactivate').'" align="absmiddle"></a>';
            echo '</td>';
		echo '</tr>';
		echo '</tbody></table>';
		}


	printPageHeader(
		__('Assign editor'),
		__('In this view you can assign an editor to the differnt users.'),
		'http://manual.conpresso4.de/editor/settings.htm',
		true,
		'modules'
	);


echo '<table class="colored" style="width: 100%">';
echo '<thead><tr>';
echo '<th colspan="2"><span>'.__('User').'</span></th>';
echo '</tr></thead><tbody>';


$query = "SELECT id, user, name, admin FROM ".CPO_USER." "
        ."WHERE admin>0 "
        .'AND id>=0 '
        ."ORDER BY user ";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);

while($db->next_record()) {
    $assigned_editor = $activeModules['Editor']['user_assign'][$db->v('id')];
    
	// Der User
	echo '<tr>';
    printf('<td class="leftrow">%s</td>', 
        htmlspecialchars(formatUserName($db->v('id'), $db->v('user'), $db->v('name')))
    );

    echo '<td class="rightrow">';
	echo '<select name="cpoEditorNew[user_assign]['.$db->v('id').']">';
	echo '<option value="">-</option>';
	foreach ($activeModules['Editor']['editors'] as $k=>$v)  {
		$selected = ($k == $assigned_editor) ? ' selected="selected"': '';
		echo '<option value="' . $k . '"' . $selected . '>' . $activeModules['Editor']['editors'][$k]['caption'] . '</option>';
	}
	echo '</select>';
	echo '<input type="checkbox" name="cpoEditorNew[user_opt]['.$db->v('id').'][show]" value="1"'.(($activeModules['Editor']['user_opt'][$db->v('id')]['show'] == 1) ? ' checked="checked"' : '') .'> '.__('individual settings');
	if ($activeModules['Editor']['user_opt'][$db->v('id')]['show'] == 1)
	{
		echo '<br />';
		if (file_exists(CPO_BASEDIR.$directory.'/editors/'.$assigned_editor.'/user_options.inc.php')) 
		{
			$user_options = '';
			include (CPO_BASEDIR.$directory.'/editors/'.$assigned_editor.'/user_options.inc.php');
			echo $user_options;
		}
	}
    echo '</td>';
	
    echo '</tr>';

} 
echo '<tr>';
	echo '<td class="leftrow">';
	echo '&nbsp;';
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
	echo '</td>';
echo '</tr>';

echo '</tbody></table>';

}

echo '</form>';

        // Editoren einbinden
        $e = dir(CPO_BASEDIR.$directory.'/editors'); 
        while (false!==($edentry = $e->read())) {
            if ($edentry=='.' || $edentry=='..') continue;
            $editorDir = $edentry;
            $edentry = CPO_BASEDIR.$directory.'/editors/'.$editorDir;
            if (!is_dir($edentry) || !is_readable($edentry)) continue;
            if (!file_exists($edentry.'/common_editor.inc.php') ||
                !is_readable($edentry.'/common_editor.inc.php')) continue;
            include_once($edentry.'/common_editor.inc.php');
        }
        $e->close();

        foreach ($activeModules['Editor']['editors'] as $k=>$v)  {
            if (array_key_exists($k,$editorspecs)) unset ($editorspecs[$k]);
        }
        if(count($editorspecs)<=0) return;
        ksort($editorspecs);

    printPageHeader(
		__('Available editors'),
		__('In this view you add editors to the module.'),
		'http://manual.conpresso4.de/editor/settings.htm',
		true,
		'modules'
	);


		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Available editors');
		echo '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

        foreach ($editorspecs as $k=>$v)  {
		echo '<tr>';
            echo '<td class="leftrow"> </td>';
            echo '<td class="rightrow">';
            echo '<a href="javascript:editor_activate(\''.$k.'\',\''.$editorspecs[$k]['caption'].'\');"><img src="'.BASE_ABS.'_skin/conpresso/pic_mod_active_on.gif" alt="'.__('activate').'" title="'.__('activate').'"></a> '.$editorspecs[$k]['caption'].'<br />';
            echo '</td>';
		echo '</tr>';
        }

		echo '</tbody></table>';

echo '</form>';

?>