<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+

+------------------------------------------------------------------------+
| Premodded ConPresso 4.1.6 file for mod_editor by www.conpresso4.de     |
+------------------------------------------------------------------------+

  $Id$ */
define('CPO', true);
require_once('../_include/common.inc.php');
require(CPO_BASEDIR."_include/check.php");

?>
<html>
<head><title><?php echo htmlspecialchars($CPO['product'].'-Editor', ENT_COMPAT, 'ISO-8859-15'); ?></title>
    <link rel=stylesheet type="text/css" href="<?php echo SKIN_URL.'style_cpo.css.php'; ?>">
    <meta name="robots" content="noindex, nofollow" />
	<script type="text/javascript" src="/_CKeditor/ckeditor.js"></script>

    <script type="text/javascript"><!--
    function ok(){
        var img = document.getElementById('image');
        imginfo = img.value.split('#cpo#');

        //window.opener.document.getElementById('edit_img_src').value = "../_data/"+imginfo[0];
        //window.opener.updateAttribute('src', "../_data/"+imginfo[0]);
        <?php
        // Mod_editor *******************************************************************************************
        if (array_key_exists('Editor',$activeModules)) include(CPO_BASEDIR.'mod_editor/CPO/'.basename(__FILE__));
        else echo " window.opener.doExecCommand('insertimage', '../_data/'+imginfo[0]); ";
        // Mod_editor *******************************************************************************************
		?>
        window.close();
        return;
    }

    function imagePreview()
    {
        var img = document.getElementById('image');
        imginfo = img.value.split('#cpo#');
        if (img.value=="") {
            // display empty image
            frames['preview'].location.href = "../_images/transparent.gif";
        } else {
            // update preview image and maintain width/height ratio
            frames['preview'].location.href = "../_data/"+imginfo[0];

            /*
            percent = (100/imginfo[2]*220)
            if ((100/imginfo[3]*150) < percent)
                percent = (100/imginfo[3]*150)

            if ((imginfo[2] < 220) && (imginfo[3] < 150))
                percent = 100;

            document.getElementById('preview').width  = imginfo[2]*percent/100;
            document.getElementById('preview').height = imginfo[3]*percent/100;
            */
        }
    }
    //--> </script>
</head>
<body style="padding: 1em;">
<h1><?php echo ___('Imagepicker'); ?></h1>
<p><?php echo ___('Please choose an image from below to preview it.'); ?></p>
<select id="image" onChange="imagePreview();">
    <option value=""><?php echo ___('Please select an image.'); ?></option>
    <?php
    $query = "SELECT datei, alttext, id, beschreibung "
            ."FROM ".CPO_DATA." "
            ."WHERE (rubric_id='".addslashes($_SESSION['SID_rubric_id'])."' OR rubric_id='-1' )"
            ."AND format='2' "
            ."ORDER BY datei";
    $db = new DB;
    $db->query($query);
    while($db->next_record()) {
        $tmp = array('', '', '', '');
        if (file_exists(CPO_BASEDIR.'_data/'.$db->v("datei"))) {
            $tmp = getimagesize(CPO_BASEDIR.'_data/'.$db->v("datei"));
        } 
        echo '<option value="'.$db->v('datei').'#cpo#'.$db->v('alttext').'#cpo#'.$tmp[0].'#cpo#'.$tmp[1].'">';

        if ( $db->v("datei") != '' ) {
            echo htmlspecialchars(substr($db->v("datei"), 0, 30), ENT_COMPAT, 'ISO-8859-15');
        } else echo '-';

        if ( $db->v("beschreibung") != '' ) {
            echo ' [' . substr($db->v("beschreibung"), 0, 25) . ']';
        }

        echo "</option>\n";
    }
    ?>
</select><br /><br />
<iframe id="preview" name="preview" frameborder="0" height="210" width="220" class="iframe inputwidth"></iframe>

<br />
<br />
<input type="button" class="button" value="<?php echo ___('Ok'); ?>" onClick="ok(true);"> 
<input type="button" class="button" value="<?php echo ___('Cancel'); ?>" onClick="window.close()">

</body>
</html>
